<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/3.0.4/socket.io.js" defer></script>
    <title>MiniChat</title>
</head>

<body class="container">
    <h1 class="mt-5">MiniChat</h1>
    <hr>
    <form action="" id="miForm">
        <div class="row">
            <div class="col-8">
                <input type="text" id="txtMensaje" placeholder="Mensaje" class="form-control">
            </div>
            <div class="col-4">
                <button class="btn btn-primary" type="submit">
                    Enviar
                </button>
            </div>
        </div>
    </form>

    <div class="row">
        <div class="col">
            <ul id="mensajes">
            </ul>
        </div>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/3.0.4/socket.io.js"></script>
    <script>
        const socket = io('https://react-socket-react.herokuapp.com/')
        const form = document.querySelector('#miForm')
        const messages = document.querySelector('#mensajes')
        const mensaje = document.querySelector('#txtMensaje')

        form.addEventListener('submit', (e) => {
            e.preventDefault()
            const newMsg = mensaje.value;

            socket.emit('mensaje-cliente', {
                message: newMsg,
                emitedBy: 'Eduardo'
            })

            socket.on('message-from-server', (data) => {
                messages.innerHTML += `<li>${data.message}</li>`
            })
        })

    </script>

</body>

</html>